--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: this
  rw: R
class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: module for Monad
constants: []

full_name: RParsec::Monad
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: bind
- !ruby/object:RI::MethodSummary 
  name: initMonad
- !ruby/object:RI::MethodSummary 
  name: map
- !ruby/object:RI::MethodSummary 
  name: plus
- !ruby/object:RI::MethodSummary 
  name: seq
- !ruby/object:RI::MethodSummary 
  name: value
name: Monad
superclass: 
